/**
 * MySDL - A multimedia framework based on SDL and OpenGL
 * Copyright (C) 2006 Marian Schedenig (marian@musgit.com)
 * http://www.musgit.com/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#include "buildinfo.h"
#include "mysdl.h"

namespace mysdl
{
	/** Current main version of MySDL. Update if necessary. */
	const int VERSION_MAIN=1;

	/** Current sub version of MySDL. Update if necessary. */
	const int VERSION_SUB=0;

	/*
	 * See header file for documentation.
	 */
	std::string getBuildDate()
	{
		return(std::string(__DATE__));
	}

	/*
	 * See header file for documentation.
	 */
	std::string getBuildTime()
	{
		return(std::string(__TIME__));
	}

	/*
	 * See header file for documentation.
	 */
	std::string getVersion()
	{
		return(toStr(VERSION_MAIN)+std::string(".")+toStr(VERSION_SUB));
	}

	/*
	 * See header file for documentation.
	 */
	std::string getFullVersion()
	{
		return(getVersion()+std::string(" (")+getBuildDate()+std::string(", ")+getBuildTime()+std::string(")"));
	}
};
